# fading
fading = true;
fade-delta = 4;
fade-in-step = 0.03;
fade-out-step = 0.03;
fade-exclude = [ ];

# shadow
shadow = true;
no-dnd-shadow = true;
no-dock-shadow = false;
clear-shadow = true;
shadow-radius = 5;
shadow-offset-x = -5;
shadow-offset-y = -5;
shadow-opacity = 0.5;
shadow-ignore-shaped = false;
shadow-exclude = [
    "! name~=''",
    "name = 'Notification'",
    "name = 'Plank'",
    "name = 'Docky'",
    "name = 'Kupfer'",
    "name = 'xfce4-notifyd'",
    "name *= 'VLC'",
    "name *= 'compton'",
    "name *= 'Chromium'",
    "name *= 'Chrome'",
    "class_g = 'Conky'",
    "class_g = 'Kupfer'",
    "class_g = 'Synapse'",
    "class_g ?= 'Notify-osd'",
    "class_g ?= 'Cairo-dock'",
    "class_g ?= 'Xfce4-notifyd'",
    "class_g ?= 'Xfce4-power-manager'",
    "_GTK_FRAME_EXTENTS@:c"
];

# blur and opacity
menu-opacity = 0.8;
active-opacity = 1;
frame-opacity = 1;
inactive-opacity-override = true;
alpha-step = 0.06;
opacity-rule = [
    "93:class_g = 'urxvt'"
];
blur-background = true;
blur-background-fixed = true;
blur-background-exclude = [
    "window_type = 'dock'"
];

# backend
backend = "glx";
glx-no-stencil = true;
glx-copy-from-front = false;
glx-swap-method = "undefined";
mark-wmwin-focused = true;
mark-ovredir-focused = true;
unredir-if-possible = false;

# misc
detect-rounded-corners = true;
detect-client-opacity = true;
refresh-rate = 0;
paint-on-overlay = true;
use-ewmh-active-win = true;
vsync = "opengl-swc";
dbe = false;
sw-opti = true;
focus-exclude = [ ];
detect-transient = true;
detect-client-leader = true;
inactive-dim = 0.2;

# window type settings
wintypes:
{
    tooltip =
    {
        fade = true;
        shadow = false;
        opacity = 0.85;
        focus = true;
    };
};
